using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFluentSender {
    /// <summary>
    /// Configures the client for the given destination and load the public key
    /// </summary>
    /// <param name="destinationId">unique identifier of the clients destination</param>
    /// <returns>the upload step for attachments</returns>
    public IFluentSenderWithDestination WithDestination(string destinationId);

    public IFluentSenderWithData WithData(string data);

    /// <summary>
    /// Send submission to FIT-Connect API.
    /// </summary>
    /// <returns>object of the handed in submission</returns>
    public Submission Submit();
}
