using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFluentSubscriberWithSubmission {
    public Submission Submission { get; }

    /// <summary>
    /// Loads the <see cref="Attachment"/>s for the given <see cref="Submission"/>.
    /// </summary>
    /// <param name="canConfirmSubmission">Function that returns a boolean if the <see cref="Submission"/> can be confirmed</param>
    /// <returns></returns>
    public IFluentSubscriberWithSubmission GetAttachments(
        Func<IEnumerable<Attachment>, bool> canConfirmSubmission);
}
